package com.fs.course.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.course.domain.FsUserVideoView;

/**
 * 课堂视频观看记录Service接口
 *
 * @author fs
 * @date 2024-05-15
 */
public interface IFsUserVideoViewService
{
    /**
     * 查询课堂视频观看记录
     *
     * @param viewId 课堂视频观看记录主键
     * @return 课堂视频观看记录
     */
    public FsUserVideoView selectFsUserVideoViewByViewId(Long viewId);

    /**
     * 查询课堂视频观看记录列表
     *
     * @param fsUserVideoView 课堂视频观看记录
     * @return 课堂视频观看记录集合
     */
    public List<FsUserVideoView> selectFsUserVideoViewList(FsUserVideoView fsUserVideoView);

    /**
     * 新增课堂视频观看记录
     *
     * @param fsUserVideoView 课堂视频观看记录
     * @return 结果
     */
    public int insertFsUserVideoView(FsUserVideoView fsUserVideoView);

    /**
     * 修改课堂视频观看记录
     *
     * @param fsUserVideoView 课堂视频观看记录
     * @return 结果
     */
    public int updateFsUserVideoView(FsUserVideoView fsUserVideoView);

    /**
     * 批量删除课堂视频观看记录
     *
     * @param viewIds 需要删除的课堂视频观看记录主键集合
     * @return 结果
     */
    public int deleteFsUserVideoViewByViewIds(Long[] viewIds);

    /**
     * 删除课堂视频观看记录信息
     *
     * @param viewId 课堂视频观看记录主键
     * @return 结果
     */
    public int deleteFsUserVideoViewByViewId(Long viewId);

    R startWatchVideo(Long videoId, Long userId);

    R endWatchVideo(Long videoId, Long userId);
}
